import request from '@/utils/request'

// 查询小牛用户表列表
export function listXnMember(query) {
  return request({
    url: '/system/xnMember/list',
    method: 'get',
    params: query
  })
}

// 查询小牛用户表详细
export function getXnMember(id) {
  return request({
    url: '/system/xnMember/' + id,
    method: 'get'
  })
}

// 新增小牛用户表
export function addXnMember(data) {
  return request({
    url: '/system/xnMember',
    method: 'post',
    data: data
  })
}

// 修改小牛用户表
export function updateXnMember(data) {
  return request({
    url: '/system/xnMember',
    method: 'put',
    data: data
  })
}

// 删除小牛用户表
export function delXnMember(id) {
  return request({
    url: '/system/xnMember/' + id,
    method: 'delete'
  })
}

// 导出小牛用户表
export function exportXnMember(query) {
  return request({
    url: '/system/xnMember/export',
    method: 'get',
    params: query
  })
}